Bug 1006881 - Add virtual Provides of libgme
Add virtual Provides of libgme
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: game-music-emu (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Karel Volný
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 08:49 EDT by Christopher Meng
Modified: 2013-09-28 21:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: game-music-emu-0.6.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:30:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-09-11 08:49:28 EDT
Hi,

Due to a package review fault, another DUP package libgme got approved. I've retired it but I want you to add a virtual provides of libgme, as Debian started using this name since 2009. We shouldn't make our users more confused.

Thanks.
Comment 1 Karel Volný 2013-09-13 10:44:47 EDT
(In reply to Christopher Meng from comment #0)
> but I want you to add a virtual provides of libgme,

not a problem

> as Debian started using this name since 2009. We shouldn't make our users more
> confused.

well, isn't that Debian who confuses users if the upstream project and tarball name[1] is "game-music-emu"? :-)

[1] see also https://fedoraproject.org/wiki/Packaging:NamingGuidelines#General_Naming
Comment 2 Fedora Update System 2013-09-13 10:47:20 EDT
game-music-emu-0.6.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/game-music-emu-0.6.0-2.fc20
Comment 3 Michael Schwendt 2013-09-13 11:48:09 EDT
Please reconsider.

The request in this ticket makes no sense.

If at all, there ought to be "Provides: libgme-devel = %{version}-%{release}" in the -devel package. Possibly an additional one using %_isa.

Adding a non-versioned (!) "Provides: libgme" to a base library package doesn't add any benefit. Who will use it? We rely on automatic SONAME dependencies, and only under special circumstances we add explicit Requires on a package name and a specific version.
Comment 4 Fedora Update System 2013-09-13 13:31:14 EDT
Package game-music-emu-0.6.0-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing game-music-emu-0.6.0-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16674/game-music-emu-0.6.0-2.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-20 10:45:24 EDT
game-music-emu-0.6.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/game-music-emu-0.6.0-3.fc20
Comment 6 Karel Volný 2013-09-20 10:54:46 EDT
(In reply to Michael Schwendt from comment #3)
> If at all, there ought to be "Provides: libgme-devel =
> %{version}-%{release}" in the -devel package. Possibly an additional one
> using %_isa.

I've added this

> Adding a non-versioned (!)

oops, sorry, somehow I haven't realised the version is not added automatically (not that it would be important for the purpose mentioned below, but let's have this correct)

> "Provides: libgme" to a base library package
> doesn't add any benefit. Who will use it?

people coming from Debian (Ubuntu) searching what provides libgme?

it is just a piece of information added, to me, it is rather "why not" than "why" - this report is a proof that someone had a problem without that information, so let's fix it, I can live with two additional lines within the spec ...

> We rely on automatic SONAME dependencies, and only under special circumstances
> we add explicit Requires on a package name and a specific version.

see above, the point is not automatic dependency solving
Comment 7 Michael Schwendt 2013-09-20 13:41:21 EDT
Ah, okay. You only want to make it easier to find the package. One could not "BuildRequires: libgme-devel" currently, if the %_isa Provides is the only one.

"yum search libgme" would find the package, if the %summary or %description contained "libgme".
Comment 8 Fedora Update System 2013-09-22 20:30:21 EDT
game-music-emu-0.6.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-28 21:45:53 EDT
game-music-emu-0.6.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.